org.jboss.jca.adapters.jdbc

## Class ManagedConnectionMetaDataImpl

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.ManagedConnectionMetaDataImpl

- All Implemented Interfaces:
    java.io.Serializable, javax.resource.spi.ManagedConnectionMetaData

      public class ManagedConnectionMetaDataImpl
      extends java.lang.Object
      implements javax.resource.spi.ManagedConnectionMetaData, java.io.Serializable

  Managed connection metadata
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEISProductName()`
    `java.lang.String` | `getEISProductVersion()`
    `int` | `getMaxConnections()`
    `java.lang.String` | `getUserName()`
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getEISProductName

          public java.lang.String getEISProductName()

      Specified by:
        `getEISProductName` in interface `javax.resource.spi.ManagedConnectionMetaData`

    - #### getEISProductVersion

          public java.lang.String getEISProductVersion()

      Specified by:
        `getEISProductVersion` in interface `javax.resource.spi.ManagedConnectionMetaData`

    - #### getMaxConnections

          public int getMaxConnections()

      Specified by:
        `getMaxConnections` in interface `javax.resource.spi.ManagedConnectionMetaData`

    - #### getUserName

          public java.lang.String getUserName()

      Specified by:
        `getUserName` in interface `javax.resource.spi.ManagedConnectionMetaData`

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)